End Point Details
- Method – GET
- REST Endpoint - /public/preferences/asofdate?userId=
{userId}&appName={appName}, where userId is the User ID and appName is the Application Name. - Content-Type - application/json
Request Headers Details
The following lists the Request Headers:
- ofs_tenant_id - Tenant ID of the Application.
- Locale - Local language in the language code format. For example,
en-US. - ofs_remote_user - User ID of the user.
- ofs_workspace_id - Workspace ID of the Application. The default value is
WS001and same should be passed each time. - ofs_service_id - Service ID of the Application.
- Authorization - Access token required to authenticate the API. If this token is not provided, a 401 Unauthorized error is generated. For more information about the Bearer token, refer to Generate the Access Token.
Request Parameters
The following table lists the Request Parameters:
Table 6-1 Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| userId | STRING | Yes | The User ID for which the As-of-Date is to be retrieved. |
| appName | STRING | Yes | The Application Name for which the As-of-Date is to be retrieved. For Funds Transfer Pricing, the value is FTP. |
Sample cURL Command
curl -k --location --request GET 'https://<hostname>/<TENANT-ID>/
public/preferences/asofdate?userId=<USER_ID>&appName=<APP_NAME>' \
--header 'ofs_remote_user: <USERID>' \
--header 'locale: en-US' \
--header 'ofs_tenant_id: <TENANT-ID>' \
--header 'ofs_workspace_id: WS001' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer <TOKEN>'